%define upstream_name    Dist-Zilla-PluginBundle-Author-DOHERTY
%define upstream_version 0.26

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Configure Dist::Zilla like DOHERTY
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla) >= 4.102.341
BuildRequires: perl(Dist::Zilla::Plugin::CheckChangesHasContent)
BuildRequires: perl(Dist::Zilla::Plugin::CheckExtraTests)
BuildRequires: perl(Dist::Zilla::Plugin::Clean)
BuildRequires: perl(Dist::Zilla::Plugin::CopyFilesFromBuild)
BuildRequires: perl(Dist::Zilla::Plugin::Git::Check)
BuildRequires: perl(Dist::Zilla::Plugin::Git::Commit)
BuildRequires: perl(Dist::Zilla::Plugin::Git::NextVersion)
BuildRequires: perl(Dist::Zilla::Plugin::Git::Tag) >= 1.112.380
BuildRequires: perl(Dist::Zilla::Plugin::GitHub) >= 0.130.0
BuildRequires: perl(Dist::Zilla::Plugin::InstallGuide)
BuildRequires: perl(Dist::Zilla::Plugin::InstallRelease) >= 0.6.0
BuildRequires: perl(Dist::Zilla::Plugin::MinimumPerl) >= 1.3.0
BuildRequires: perl(Dist::Zilla::Plugin::OurPkgVersion)
BuildRequires: perl(Dist::Zilla::Plugin::PodWeaver)
BuildRequires: perl(Dist::Zilla::Plugin::ReadmeFromPod)
BuildRequires: perl(Dist::Zilla::Plugin::ReadmeMarkdownFromPod)
BuildRequires: perl(Dist::Zilla::Plugin::SurgicalPodWeaver) >= 0.1.500
BuildRequires: perl(Dist::Zilla::Plugin::Twitter) >= 0.10.0
BuildRequires: perl(Dist::Zilla::PluginBundle::TestingMania)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::Easy)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Moose) >= 0.990.0
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(Pod::Weaver::PluginBundle::Author::DOHERTY) >= 0.6.0
BuildRequires: perl(Pod::Weaver::Section::BugsAndLimitations) >= 1.102.670
BuildRequires: perl(Test::More)
BuildRequires: perl(WWW::Shorten::Googl)
BuildRequires: perl(autodie) >= 2.0.0
BuildRequires: perl(namespace::autoclean) >= 0.90.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
'Dist::Zilla::PluginBundle::Author::DOHERTY' provides shorthand for a
Dist::Zilla manpage configuration used by doherty.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Tue Mar 06 2012 jquelin <jquelin> 0.260.0-1.mga2
+ Revision: 220112
- update to 0.26

* Thu Feb 23 2012 jquelin <jquelin> 0.250.0-1.mga2
+ Revision: 212796
- update to 0.25

* Mon Jan 09 2012 jquelin <jquelin> 0.240.0-1.mga2
+ Revision: 193903
- update to 0.24

* Mon Sep 26 2011 jquelin <jquelin> 0.23.0-1.mga2
+ Revision: 148047
- update to v0.23
- fix youri checks
- update to 0.021
- fix youri check

* Tue Apr 19 2011 jquelin <jquelin> 0.16.0-1.mga1
+ Revision: 88507
- update to 0.016

* Thu Apr 07 2011 jquelin <jquelin> 0.15.0-1.mga1
+ Revision: 81757
- update to 0.015

* Tue Mar 15 2011 jquelin <jquelin> 0.14.0-1.mga1
+ Revision: 71805
- imported package perl-Dist-Zilla-PluginBundle-Author-DOHERTY


* Tue Mar 15 2011 cpan2dist 0.014-1mga
- initial mageia release, generated with cpan2dist
